Create sku-list - Fabric

Create sku-list

cURL

curl --request POST \
  --url https://live.copilot.fabric.inc/api-offers/sku-list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '
{
  "title": "GlobalExc_1",
  "applicableOn": [
    "PRODUCT_PRICE"
  ],
  "targetProducts": [
    {
      "kind": "SKU",
      "value": [
        1000000123
      ]
    }
  ],
  "startDate": "2022-05-04T09:23:51.459Z",
  "endDate": "2099-12-31T00:00:00.000Z",
  "listType": "GLOBAL_EXCLUSION",
  "deleted": false,
  "createdAt": "2020-12-14T12:15:43.646Z",
  "updatedAt": "2021-12-14T12:15:43.646Z"
}
'

Python

import requests

url = "https://live.copilot.fabric.inc/api-offers/sku-list"

payload = {
    "title": "GlobalExc_1",
    "applicableOn": ["PRODUCT_PRICE"],
    "targetProducts": [
        {
            "kind": "SKU",
            "value": [1000000123]
        }
    ],
    "startDate": "2022-05-04T09:23:51.459Z",
    "endDate": "2099-12-31T00:00:00.000Z",
    "listType": "GLOBAL_EXCLUSION",
    "deleted": False,
    "createdAt": "2020-12-14T12:15:43.646Z",
    "updatedAt": "2021-12-14T12:15:43.646Z"
}
headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch API)

const options = {
  method: 'POST',
  headers: {
    'x-site-context': '<x-site-context>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    title: 'GlobalExc_1',
    applicableOn: ['PRODUCT_PRICE'],
    targetProducts: [{kind: 'SKU', value: [1000000123]}],
    startDate: '2022-05-04T09:23:51.459Z',
    endDate: '2099-12-31T00:00:00.000Z',
    listType: 'GLOBAL_EXCLUSION',
    deleted: false,
    createdAt: '2020-12-14T12:15:43.646Z',
    updatedAt: '2021-12-14T12:15:43.646Z'
  })
};

fetch('https://live.copilot.fabric.inc/api-offers/sku-list', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://live.copilot.fabric.inc/api-offers/sku-list",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'title' => 'GlobalExc_1',
    'applicableOn' => [
        'PRODUCT_PRICE'
    ],
    'targetProducts' => [
        [
                'kind' => 'SKU',
                'value' => [
                                1000000123
                ]
        ]
    ],
    'startDate' => '2022-05-04T09:23:51.459Z',
    'endDate' => '2099-12-31T00:00:00.000Z',
    'listType' => 'GLOBAL_EXCLUSION',
    'deleted' => false,
    'createdAt' => '2020-12-14T12:15:43.646Z',
    'updatedAt' => '2021-12-14T12:15:43.646Z'
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json",
    "x-site-context: <x-site-context>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://live.copilot.fabric.inc/api-offers/sku-list"

payload := strings.NewReader("{\n  \"title\": \"GlobalExc_1\",\n  \"applicableOn\": [\n    \"PRODUCT_PRICE\"\n  ],\n  \"targetProducts\": [\n    {\n      \"kind\": \"SKU\",\n      \"value\": [\n        1000000123\n      ]\n    }\n  ],\n  \"startDate\": \"2022-05-04T09:23:51.459Z\",\n  \"endDate\": \"2099-12-31T00:00:00.000Z\",\n  \"listType\": \"GLOBAL_EXCLUSION\",\n  \"deleted\": false,\n  \"createdAt\": \"2020-12-14T12:15:43.646Z\",\n  \"updatedAt\": \"2021-12-14T12:15:43.646Z\"}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("x-site-context", "<x-site-context>")
    req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Unirest (Java)

HttpResponse<String> response = Unirest.post("https://live.copilot.fabric.inc/api-offers/sku-list")
  .header("x-site-context", "<x-site-context>")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"title\": \"GlobalExc_1\",\n  \"applicableOn\": [\n    \"PRODUCT_PRICE\"\n  ],\n  \"targetProducts\": [\n    {\n      \"kind\": \"SKU\",\n      \"value\": [\n        1000000123\n      ]\n    }\n  ],\n  \"startDate\": \"2022-05-04T09:23:51.459Z\",\n  \"endDate\": \"2099-12-31T00:00:00.000Z\",\n  \"listType\": \"GLOBAL_EXCLUSION\",\n  \"deleted\": false,\n  \"createdAt\": \"2020-12-14T12:15:43.646Z\",\n  \"updatedAt\": \"2021-12-14T12:15:43.646Z\"}")
  .asString();

Ruby

require 'uri'
require 'net/http'

url = URI("https://live.copilot.fabric.inc/api-offers/sku-list")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"title\": \"GlobalExc_1\",\n  \"applicableOn\": [\n    \"PRODUCT_PRICE\"\n  ],\n  \"targetProducts\": [\n    {\n      \"kind\": \"SKU\",\n      \"value\": [\n        1000000123\n      ]\n    }\n  ],\n  \"startDate\": \"2022-05-04T09:23:51.459Z\",\n  \"endDate\": \"2099-12-31T00:00:00.000Z\",\n  \"listType\": \"GLOBAL_EXCLUSION\",\n  \"deleted\": false,\n  \"createdAt\": \"2020-12-14T12:15:43.646Z\",\n  \"updatedAt\": \"2021-12-14T12:15:43.646Z\"}")

response = http.request(request)
puts response.read_body